/*
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package edu.ucla;

import org.elasticsearch.index.similarity.AbstractSimilarityProvider;
import org.elasticsearch.common.inject.Inject;
import org.elasticsearch.common.inject.assistedinject.Assisted;
import org.elasticsearch.common.settings.Settings;

public class CS246SimilarityProvider extends AbstractSimilarityProvider {
    private final CS246Similarity similarity;

    @Inject
    public CS246SimilarityProvider(@Assisted String name, @Assisted Settings settings) {
        super(name);
        this.similarity = new CS246Similarity(settings);
    }

    public CS246Similarity get() {
        return similarity;
    }
}
